%global momorel 4
%global date 20080123

Summary: Mutton Lettuce Tomato Nonlinear Video Editor
Name: mlt
Version: 0.2.5
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://www.mltframework.org/twiki/bin/view/MLT/
Group: Applications/Multimedia
Source0: %{name}-%{version}-%{date}.tar.bz2
Patch0: %{name}-0.2.2-noO4.patch
Patch1: %{name}-0.2.2-linuxppc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ImageMagick-devel
BuildRequires: SDL-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: ffmpeg-devel
BuildRequires: jack-devel
BuildRequires: ladspa-devel
BuildRequires: lame-devel
BuildRequires: libdv-devel
BuildRequires: libmad
BuildRequires: libquicktime-devel
BuildRequires: libsamplerate-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pkgconfig
BuildRequires: qt-devel
BuildRequires: sox-devel

%description
Nonlinear Video Editor.

%package devel
Summary: MLT Video Editor headers/development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Headers for MLT.

%prep
%setup -q

%patch0 -p1 -b .noO4
%patch1 -p1 -b .ppc

%build
%configure \
	--enable-gpl \
%ifarch %{ix86}
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--enable-motion-est \
	--disable-debug

%make
# fail (build with optflags 0.2.5-0.20080123.1m)
# CFLAGS="%%{optflags}" CXXFLAGS="%%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog GPL README
%{_bindir}/albino
%{_bindir}/humperdink
%{_bindir}/inigo
%{_bindir}/miracle
%{_libdir}/lib*.so.*
%{_datadir}/mlt

%files devel
%defattr(-,root,root)
%doc docs/*.txt
%{_bindir}/mlt-config
%{_includedir}/mlt
%{_libdir}/pkgconfig/mlt-*.pc
%{_libdir}/lib*.so

%changelog
* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.4m)
- BuildRequires: lame-devel

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.3m)
- build with libquicktime

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.2m)
- disable mmx ifnarch ix86

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-0.20080123.1m)
- initial package for kdenlive-0.5
- import tar-ball and patches from cooker
